package cz.cvut.fel.pr2;

public class MountainBike extends Bicycle {
    private String suspension;
    public MountainBike(int startCadence, int startSpeed, int startGear, String suspension) {
        super(startCadence, startSpeed, startGear);
        this.suspension = suspension;
    }

    @Override
    public void printDescription() {
        super.printDescription();
        System.out.println("The MountainBike has " + suspension + " suspension.");
    }


    @Override
    public void visit(BasicService service) {
        service.accept(this);
    }
}
