package cz.cvut.fel.pr2;

public class RoadBike extends Bicycle {
    private int tireWidth;

    public RoadBike(int startCadence, int startSpeed, int startGear, int tireWidth) {
        super(startCadence, startSpeed, startGear);
        this.tireWidth = tireWidth;
    }

    @Override
    public void printDescription() {
        super.printDescription();
        System.out.println("The RoadBike has " + tireWidth + "mm tires.");
    }


    @Override
    public void visit(BasicService service) {
        service.accept(this);
    }
}
